Mailinglist Archive: opensuse-security (685 mails)

< Previous Next >
PAM problems with MD5 passwords and software compiled from scratch?
  • From: Michael Zimmermann <zim@xxxxxxxx>
  • Date: Sat, 2 Feb 2002 17:11:02 +0100
  • Message-id: <20020202161123.AE39C335D@xxxxxxxxxxxx>
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Greetings,

using the newest pam and pam-devel (both version 0.75-78)
I am observing problems with software, which I compile
from the newest source.

Openssh 3.0.3p1 as well as qpopper 4.0.3 configured --with-pam
cannot authenticate users with MD5-passwords, while authentication
of users with older non-md5-passwords works fine. When I configure
the software --without-pam everything works fine. This was solving
my problem, but I thought it might be interesting to bring up this
strange behaviour to your attention. Probably it's a pam problem?

Has anybody experienced similiar problems or can give
a pointer to what's incompatible here?

Thanks for your help and attention.
Michael
- --
Michael Zimmermann (Vegaa Internet Services)
<zim@xxxxxxxx> phone +49 89 6283 7632 hotline +49 163 823 1195
Key fingerprint = 1E47 7B99 A9D3 698D 7E35 9BB5 EF6B EEDB 696D 5811
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8XA+n72vu22ltWBERApyqAKCBIpKID6gfb99TyjvyOn3OAHBFfwCgg1bA
YaIUvdWE/Sa13iKHHf8NqR8=
=uwQy
-----END PGP SIGNATURE-----

< Previous Next >
This Thread
  • No further messages